/*
 * Copyright 2010 Portland Webworks, Inc.
 *
 * This file is part of PWW Commons.
 *
 * PWW Commons is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * PWW Commons is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with PWW Commons.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

package com.portlandwebworks.commons.dao;

import com.portlandwebworks.commons.domain.LookupValue;

import java.util.List;
import java.util.Map;

/**
 * This software is the property of Portland Webworks.
 *
 * @author rnorthup
 * @deprecated      This interface will be removed in a future release.  These methods have been added to IEntityManager
 */
@Deprecated
public interface ILookupValueDaoBase extends IDaoBase
{
	/**
	 * Returns all enabled lookup values, ordered by displayOrder
	 * 
	 * @return
	 */
	<T extends LookupValue> List<T> findAllEnabled(Class<T> lookupClass);

	/**
	 * Returns a Map of all lookup values, keyed by ID.
	 * 
	 * @param lookupClass
	 * @param <T>
	 * @return
	 */
	<T extends LookupValue>Map<Integer, T> mapAllEnabled(Class<T> lookupClass);

	/**
	 * Returns all enabled lookup values, ordered by displayorder, including custom values whose unique IDs match
	 * the values provided.  Useful for retrieving a list of lookup values, and including one or more "other" lookup
	 * values that were previously entered and assigned to an entity.
	 * 
	 * @param customValueIds
	 * @return
	 */
	<T extends LookupValue> List<T> findAllEnabledIncluding(Class<T> lookupClass, Integer[] customValueIds);

	/**
	 * Returns a set of child lookup values whose parent's primary key matches the ID provided.  Useful for retrieving
	 * a set of lookup values that are dependent upon another selected lookup value.
	 * 
	 * @param lookupClass
	 * @param parentId
	 * @param <T>
	 * @return
	 */
	<T extends LookupValue> List<T> findAllEnabledAssignedToParent(Class<T> lookupClass, int parentId);

	/**
	 *
	 * @param hql
	 * @param params
	 * @return
	 */
	int executeUpdate(String hql, Object... params);
}