package com.portlandwebworks.commons.dao;

import java.util.List;

/**
 * This software is the property of Portland Webworks.
 *
 * @author Ronnie Northup
 */
public interface IPagedSearchOptions
{
	/**
	 * The list of sorts to apply to a search, applied in the order they appear in the list.
	 * @return
	 */
	List<SortSpecification> getSort();

	/**
	 * The zero-based page number of results to return from the search.
	 *
	 * @return
	 */
	int getStart();

	/**
	 * The number of items that are in a single page of results.
	 *
	 * @return
	 */
	int getLimit();
}
