/*
 * Copyright 2010 Portland Webworks, Inc.
 *
 * This file is part of PWW Commons.
 *
 * PWW Commons is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * PWW Commons is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with PWW Commons.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

package com.portlandwebworks.commons.dao;

/**
 * This software is the property of Portland Webworks.
 *
 * @author Ronnie Northup
 */
public class SortSpecification
{

	private String property;
	private SortDirection direction = SortDirection.ASC;

	public SortSpecification()
	{
	}

	public SortSpecification(String property, SortDirection direction)
	{
		this.property = property;
		this.direction = direction;
	}
	
	public static SortSpecification asc(String property)
	{
		return new SortSpecification(property, SortDirection.ASC);
	}

	public static SortSpecification desc(String property)
	{
		return new SortSpecification(property, SortDirection.DESC);
	}

	public String getProperty()
	{
		return property;
	}

	public void setProperty(String property)
	{
		this.property = property;
	}

	public SortDirection getDirection()
	{
		return direction;
	}

	public void setDirection(SortDirection direction)
	{
		this.direction = direction;
	}
}
