package com.portlandwebworks.commons.data;

import com.portlandwebworks.commons.domain.Identifiable;

/**
 * This software is the property of Portland Webworks.
 *
 * An IEntityBuilder is responsible for mapping values between domain objects and view objects, as well as between views
 * and objects that backing form data.
 *
 * @author Ronnie Northup
 */
public interface IEntityBuilder
{

	/**
	 *
	 * @param bean
	 */
	Identifiable createEntity(Object bean, IEntityHandler... callbacks);

	Identifiable createEntity(Object bean, String context, IEntityHandler... handlers);

	void updateEntity(Identifiable entity, Object bean, IEntityHandler... handlers);

	void updateEntity(Identifiable entity, Object bean, String context, IEntityHandler... handlers);
}
