package com.portlandwebworks.commons.data;

import org.apache.commons.codec.binary.Hex;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

/**
 * This software is the property of Portland Webworks.
 *
 * @author Ronnie Northup
 */
public class MD5HashTransformer implements IFieldValueTransformer
{
	public Object transformFieldValue(Object value)
	{
		if (value == null) {
			return value;
		}

		String textValue = value.toString();
		try {
			MessageDigest md = MessageDigest.getInstance("MD5");
			md.update(textValue.getBytes(), 0, textValue.length());
			return String.valueOf(Hex.encodeHex(md.digest()));
		}
		catch (NoSuchAlgorithmException e) {
			throw new RuntimeException(e.getMessage(), e);
		}
	}
}
