/*
 * Copyright 2010 Portland Webworks, Inc.
 *
 * This file is part of PWW Commons.
 *
 * PWW Commons is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * PWW Commons is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with PWW Commons.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

package com.portlandwebworks.commons.html;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * This software is the property of Portland Webworks.
 *
 * @Author rnorthup
 */
public class HtmlUtils
{
	private static Pattern htmlPattern = Pattern.compile(".*?<html>.*?</html>\\s*", Pattern.CASE_INSENSITIVE | Pattern.MULTILINE | Pattern.DOTALL);

	private static Pattern htmlTitlePattern = Pattern.compile("<title>(.*?)</title>", Pattern.CASE_INSENSITIVE | Pattern.MULTILINE | Pattern.DOTALL);

	

	public static String extractTitleFromHtml(String html)
	{
		Matcher match = htmlTitlePattern.matcher(html);
		if (match.find()) {
			return match.group(1);
		}

		return null;
	}

	public static boolean isContentHtml(String content)
	{
		Matcher matcher = htmlPattern.matcher(content);
		return matcher.matches();
	}
}
