/*
 * Copyright 2010 Portland Webworks, Inc.
 *
 * This file is part of PWW Commons.
 *
 * PWW Commons is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * PWW Commons is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with PWW Commons.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

package com.portlandwebworks.commons.reporting;

import com.portlandwebworks.commons.dao.SearchCriteria;

import java.util.*;

/**
 * This software is the property of Portland Webworks.
 *
 * @Author rnorthup
 */
public class AggregateReport
{
	private String reportTitle;

	private SearchCriteria criteria;

	private Map<String, ReportTotal> totals = new HashMap<String, ReportTotal>();
	
	private List<String> totalNames = new ArrayList<String>();

	private Map<String, ReportSummary> summaries = new HashMap<String, ReportSummary>();

	public String getReportTitle()
	{
		return reportTitle;
	}

	public void setReportTitle(String reportTitle)
	{
		this.reportTitle = reportTitle;
	}

	public SearchCriteria getCriteria()
	{
		return criteria;
	}

	public void setCriteria(SearchCriteria criteria)
	{
		this.criteria = criteria;
	}

	public void addTotal(String name, ReportTotal total, int index)
	{
		totals.put(name, total);
		totalNames.add(index, name);
	}

	public void addTotal(String name, ReportTotal total)
	{
		totals.put(name, total);
		totalNames.add(name);
	}

	public List<String> getTotalNames()
	{
		return totalNames;
	}

	public ReportTotal getTotal(String name)
	{
		return totals.get(name);
	}

	public Map<String, ReportTotal> getTotals()
	{
		return totals;
	}

	public void addSummary(String name, ReportSummary category)
	{
		summaries.put(name, category);
	}

	public Set<String> getSummaryNames()
	{
		// Make a copy to prevent modifying underlying category map
		return new HashSet<String>(summaries.keySet());
	}

	public ReportSummary getSummary(String name)
	{
		return summaries.get(name);
	}

}
