package com.portlandwebworks.commons.security.user;

import com.portlandwebworks.commons.validation.Matches;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;

/**
 * This software is the property of Portland Webworks.
 *
 * @author Ronnie Northup
 */
@Matches(field = "newPassword", verifyField = "confirmPassword")
public class ChangePasswordInput
{
	@NotNull
	private String passwordResetToken;

	@NotNull
	@Length(max = 15)
	private String newPassword;

	@NotNull
	@Length(max = 15)
	private String confirmPassword;

	private Boolean loginOnSuccess;


	public String getPasswordResetToken()
	{
		return passwordResetToken;
	}

	public void setPasswordResetToken(String passwordResetToken)
	{
		this.passwordResetToken = passwordResetToken;
	}

	public String getNewPassword()
	{
		return newPassword;
	}

	public void setNewPassword(String newPassword)
	{
		this.newPassword = newPassword;
	}

	public String getConfirmPassword()
	{
		return confirmPassword;
	}

	public void setConfirmPassword(String confirmPassword)
	{
		this.confirmPassword = confirmPassword;
	}

	public Boolean isLoginOnSuccess()
	{
		return loginOnSuccess;
	}

	public void setLoginOnSuccess(Boolean loginOnSuccess)
	{
		this.loginOnSuccess = loginOnSuccess;
	}
}
