package com.portlandwebworks.commons.test;

import com.portlandwebworks.commons.test.dbunit.DbUnitTestExecutionListener;
import com.portlandwebworks.commons.test.liquibase.LiquibaseTestExecutionListener;
import com.portlandwebworks.commons.test.security.AuthenticationTestExecutionListener;
import org.junit.After;
import org.junit.Before;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.TestExecutionListeners;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
import org.springframework.test.context.support.DependencyInjectionTestExecutionListener;
import org.springframework.test.context.transaction.TransactionConfiguration;

/**
 * This software is the property of Portland Webworks.
 *
 * @author rnorthup
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations = { "classpath*:test-context.xml" })
@TransactionConfiguration
@TestExecutionListeners({
		DependencyInjectionTestExecutionListener.class,
		LiquibaseTestExecutionListener.class,
		DbUnitTestExecutionListener.class,
		AuthenticationTestExecutionListener.class
})
public class AbstractServiceTest
{
	@Autowired
	protected ApplicationContext applicationContext;

	@Before
	public void beforeTests()
	{

	}

	@After
	public void afterTests()
	{

	}
}